Bug 131809

Summary: [New Multicolumn] fast/multicol/overflow-content.html displays red
Product: WebKit Reporter: Dave Hyatt <hyatt>
Component: Layout and RenderingAssignee: Morten Stenshorne <mstensho>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, esprehn+autocc, glenn, hyatt, jonlee, kondapallykalyan, mstensho, thorton, webkit-bug-importer, WebkitBugTracker
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 131825    
Attachments:
Description Flags
Patch none

Description Dave Hyatt 2014-04-17 13:39:22 PDT
Not clear if this is a test problem or if the new multi-column layout still has a bug. Will need to investigate the test to find out.
Comment 1 Dave Hyatt 2014-04-17 21:33:02 PDT
Test is fine. Balancing is getting confused by overflow, so this is a legitimate bug.
Comment 2 Radar WebKit Bug Importer 2014-04-17 23:12:18 PDT
<rdar://problem/16656277>
Comment 3 Dave Hyatt 2014-04-21 13:44:14 PDT
This is a blocker for turning the new columns on.
Comment 4 Morten Stenshorne 2014-04-22 17:39:53 PDT
Created attachment 229931 [details]
Patch
Comment 5 Morten Stenshorne 2014-04-22 17:42:13 PDT
overflow-content.html is flaky and the new one in newmulticol/compare-with-old-impl/ will need the fixes for bug 113781 and bug 113058 in order to pass reliably.
Comment 6 Dave Hyatt 2014-04-22 21:31:42 PDT
Comment on attachment 229931 [details]
Patch

r=me
Comment 7 WebKit Commit Bot 2014-04-23 06:36:58 PDT
Comment on attachment 229931 [details]
Patch

Clearing flags on attachment: 229931

Committed r167707: <http://trac.webkit.org/changeset/167707>
Comment 8 WebKit Commit Bot 2014-04-23 06:37:02 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Alexey Proskuryakov 2014-04-23 10:20:32 PDT
(In reply to comment #5)
> overflow-content.html is flaky and the new one in newmulticol/compare-with-old-impl/ will need the fixes for bug 113781 and bug 113058 in order to pass reliably.

I'm not quite sure what this means. Did you intentionally make a test fail, and not even mark it accordingly in TestExpectations?
Comment 11 Morten Stenshorne 2014-04-23 10:26:03 PDT
This shouldn't have landed before the fix for bug 113058, but it did. Once that one has landed, the test will become stable.
Comment 12 Dave Hyatt 2014-04-23 11:02:17 PDT
This is my mistake. EWS was green so I just changed to cq+ without reading.
Comment 13 Dave Hyatt 2014-04-23 11:02:35 PDT
Anyway can land the other fix and then it will be fine.